#
# spec file for package cosmic-idle
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cosmic-idle
Version:        1.0.0~alpha3
Release:        1.1
Summary:        Idle notify manager for COSMIC
License:        GPL-3.0-only
URL:            https://github.com/pop-os/cosmic-idle
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
Source2:        cargo_config
Source3:        Cargo.lock
BuildRequires:  cargo-packaging
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(xkbcommon)

%description
%{summary}.

%prep
%autosetup -a1
cp %{SOURCE3} .
mkdir -p .cargo
cp %{SOURCE2} .cargo/config.toml

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install

%check
%{cargo_test}

%files
%license LICENSE
%{_bindir}/%{name}

%changelog
* Mon Nov  4 2024 Richard Rahl <rrahl0@opensuse.org>
- initial packaging
